# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="A simple CLI that provides an overview of the resource requests, limits, and utilization in a Kubernetes cluster"
HOMEPAGE="https://github.com/robscott/kube-capacity"
SRC_URI="https://github.com/robscott/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/attachments/3710dd5b-3726-483e-aafa-6ab6a0df4825 -> ${P}-vendor.tar.xz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build
}

src_install() {
    dobin ${PN}
}
